package com.project.zcustom.controller.backManager.building;


import com.project.zcustom.controller.core.AjaxResult;
import com.project.zcustom.service.service.smart.IPlatBuildingService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/large/third")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class PlatBuildControlController {
    @Autowired
    private IPlatBuildingService platBuildingService;

    @PostMapping("/updateAirNum")
    public AjaxResult updateAirNum(@RequestBody Long num) {
        return AjaxResult.success("查询成功", platBuildingService.updateAirNum(num));
    }

    @GetMapping("/getAirNum")
    public AjaxResult getAirNum() {
        return AjaxResult.success("查询成功", platBuildingService.getAirNum());
    }

    /*楼宇本周用电量*/
    @GetMapping("/thisWeekElectricity")
    public AjaxResult getThisWeekElectricity() {
        return AjaxResult.success("查询成功", platBuildingService.getThisWeekElectricity());
    }

    /*专业所属电表明细*/
    @GetMapping("/thisAmmeterDetail")
    public AjaxResult getThisAmmeterDetail(@RequestParam String type) {
        return AjaxResult.success("查询成功", platBuildingService.getThisAmmeterDetail(type));
    }

    /*楼宇今日总用电量*/
    @GetMapping("/todayElectricity")
    public AjaxResult getTodayElectricity() {
        return AjaxResult.success("查询成功", platBuildingService.getTodayElectricity());
    }

    /*楼宇每月用电量*/
    @GetMapping("/monthElectricity")
    public AjaxResult getMonthElectricity() {
        return AjaxResult.success("查询成功", platBuildingService.getMonthElectricity());
    }

    /*配电室重要回路负荷情况*/
    @GetMapping("/roomLoad")
    public AjaxResult getRoomLoad() {
        return AjaxResult.success("查询成功", platBuildingService.getRoomLoad());
    }

    /*楼宇中当前告警的设备*/
    @GetMapping("/warnDevice")
    public AjaxResult getWarnDevice() {
        return AjaxResult.success("查询成功", platBuildingService.getWarnDevice());
    }

    /*异常点位查看*/
    @GetMapping("/abnormalPoint")
    public AjaxResult getAbnormalPoint(@RequestParam String type) {
        return AjaxResult.success("查询成功", platBuildingService.getAbnormalPoint(type));
    }

    /*告警事件的历史统计*/
    @GetMapping("/warnEvent")
    public AjaxResult getWarnEvent() {
        return AjaxResult.success("查询成功", platBuildingService.getWarnEvent());
    }

    /*水箱的水位情况*/
    @GetMapping("/waterState")
    public AjaxResult getWarnState() {
        return AjaxResult.success("查询成功", platBuildingService.getWarnState());
    }
}
